
CoCoA-5 - Design #527

GUI: better name for the graphical interface?

08 Apr 2014 14:20 - Anna Maria Bigatti

Status: New Start date: 08 Apr 2014

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: GUI Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.10 hour

Description

the text compilation for cocoa-5 produces CoCoAInterpreter, the GUI compilation produces C5.

Should we give them better names?

Related issues:

Related to CoCoA-5 - Support #187: CoCoA-5 (partial) releases: make the proce... Closed 13 Jun 2012

History

#1 - 30 Jul 2014 17:05 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

#2 - 27 Jul 2015 19:25 - John Abbott

It is "normal" to call the text version of CoCoA via the script cocoa5.

C5 is rather cryptic as a name for the GUI; JAA would prefer something like cocoa5-gui.  How important is this name?  On MacOSX, I just click on the

icon; perhaps under linux it would be handy to have a nice name...?

We could even arrange for the script to start the GUI if handed the correct arg: e.g. cocoa5 --gui
